Subject: Re: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Andreas Röhler <[email-masked]>
Date: Fri, 27 Jun 2014 07:45:57 +0200

On 26.06.2014 19:00, Glenn Morris wrote:
> Eli Zaretskii wrote:
>
>>> All I can suggest here is that the Makefile define a GDB variable,
>>> normally empty, that you can set to "gdb" on the make command-line when
>>> you want to.
>>
>> I guess it would be OK, if $GDB could be set to "gdb --args".  Thanks.
>
> Could you do it? :)
> I confess I don't know quite where you want it to go...
>
>
>
>

Hi,

testing and debugging are quite different things.
IMO it's not a good idea mixing these.

What about making ert offer an appropriate listing of available tests?

Thanks,

Andreas